#ifndef __MAC80211_HWSIM_H
#define __MAC80211_HWSIM_H

#include <linux/types.h>
#include <linux/ioctl.h>

#define MAC80211_TX_MAX_RATES 5

struct mac80211_hwsim_tx_rate {
	__s8 idx;
	__u8 count;
	__u8 flags;
} __attribute__((packed));

/* This structure is returned on a read() */
struct mac80211_hwsim_tx_packet {
	__u64 cookie;
	struct mac80211_hwsim_tx_rate rates[MAC80211_TX_MAX_RATES];
	__s8 rts_cts_rate_idx;
	__u16 pkt_len;
	__u8 pkt_data[0];
} __attribute__((packed));

/* This structure is passed for status ioctl */
struct mac80211_hwsim_tx_status {
	__u64 cookie;
	struct mac80211_hwsim_tx_rate rates[MAC80211_TX_MAX_RATES];
	__u8 ack;
	__u8 ampdu_ack_len;
	__u64 ampdu_ack_map;
	__u32 ack_signal;
} __attribute__((packed));

#define MAC80211_HWSIM_IOC_MAGIC	'H'
#define MAC80211_HWSIM_IOC_STATUS	1
#define MAC80211_HWSIM_IOCTL_STATUS	_IOW(MAC80211_HWSIM_IOC_MAGIC, MAC80211_HWSIM_IOC_STATUS,struct mac80211_hwsim_tx_status)

#ifdef __KERNEL__

#endif /* __KERNEL__ */

#endif /* __MAC80211_HWSIM_H */
